Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.NodeAddDSKReport (grizzly v7.4.2)

The Z-Wave Command `NODE_ADD_DSK_REPORT`

This report is used by the including controller to ask for the DSK for the device that is being included.

## Params

- `:seq_number` - sequence number for the command (required)
- `:input_dsk_length` - the required number of bytes must be in the `:dsk` field to be authenticated (optional default: `0`)
- `:dsk` - the DSK for the device see `Grizzly.ZWave.DSK` for more information (required)

The `:input_dsk_length` field can be set to 0 if not provided. That means that device does not require any user input to the DSK set command to authenticate the device. This case is normal when `:s2_unauthenticated` or client side authentication has been given.

# Summary

## Types

param()

## Functions

validate_and_ensure_input_dsk_length(params)

# Types

Link to this type

# param()

View Source

    @type param() ::
      {:seq_number, Grizzly.seq_number()}
      | {:input_dsk_length, 0..16}
      | {:dsk, Grizzly.ZWave.DSK.t()}

# Functions

Link to this function

# validate_and_ensure_input_dsk_length(params)

View Source